# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'AreaVideo'
        db.create_table('video_areavideo', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='video_areavideo_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='video_areavideo_last_modifier', null=True, to=orm['auth.User'])),
            ('numero_video_mostrati', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=50)),
        ))
        db.send_create_signal('video', ['AreaVideo'])

        # Adding model 'Video'
        db.create_table('video_video', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='video_video_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='video_video_last_modifier', null=True, to=orm['auth.User'])),
            ('titolo', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=50)),
            ('sottotitolo', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('descrizione', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(null=True, blank=True)),
            ('thumb', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100, null=True, blank=True)),
            ('autoplay', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('pub_date_begin', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('pub_date_end', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('likes', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('dislikes', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('visualizzazioni', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('embed_code', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('autoencode', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('area', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='video_area', null=True, to=orm['video.AreaVideo'])),
        ))
        db.send_create_signal('video', ['Video'])

        # Adding model 'VideoSettings'
        db.create_table('cmsplugin_videosettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('area_slugs_included', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('slugs_included', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('area_slugs_excluded', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('objects_per_page', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('ordering', self.gf('django.db.models.fields.CharField')(default='ordering, titolo', max_length=100)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='cms_plugins/video/video_list.html', max_length=100)),
        ))
        db.send_create_signal('video', ['VideoSettings'])

        # Adding model 'LatestVideoSettings'
        db.create_table('cmsplugin_latestvideosettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('area_slugs_included', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('slugs_included', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('area_slugs_excluded', self.gf('django.db.models.fields.SlugField')(max_length=100, blank=True)),
            ('slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('objects_per_page', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('ordering', self.gf('django.db.models.fields.CharField')(default='-date_last_modify, ordering, titolo', max_length=100)),
            ('autoplay_main_video', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='/video/cms_plugins/latest_video.html', max_length=100)),
        ))
        db.send_create_signal('video', ['LatestVideoSettings'])


    def backwards(self, orm):
        # Deleting model 'AreaVideo'
        db.delete_table('video_areavideo')

        # Deleting model 'Video'
        db.delete_table('video_video')

        # Deleting model 'VideoSettings'
        db.delete_table('cmsplugin_videosettings')

        # Deleting model 'LatestVideoSettings'
        db.delete_table('cmsplugin_latestvideosettings')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'video.areavideo': {
            'Meta': {'object_name': 'AreaVideo'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'video_areavideo_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'video_areavideo_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'numero_video_mostrati': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3'})
        },
        'video.latestvideosettings': {
            'Meta': {'object_name': 'LatestVideoSettings', 'db_table': "'cmsplugin_latestvideosettings'", '_ormbases': ['cms.CMSPlugin']},
            'area_slugs_excluded': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'area_slugs_included': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'autoplay_main_video': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering': ('django.db.models.fields.CharField', [], {'default': "'-date_last_modify, ordering, titolo'", 'max_length': '100'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'/video/cms_plugins/latest_video.html'", 'max_length': '100'})
        },
        'video.video': {
            'Meta': {'object_name': 'Video'},
            'area': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'video_area'", 'null': 'True', 'to': "orm['video.AreaVideo']"}),
            'autoencode': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'autoplay': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'video_video_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'dislikes': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'embed_code': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'video_video_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'likes': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pub_date_begin': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'pub_date_end': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50'}),
            'sottotitolo': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3'}),
            'thumb': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'titolo': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'visualizzazioni': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'})
        },
        'video.videosettings': {
            'Meta': {'object_name': 'VideoSettings', 'db_table': "'cmsplugin_videosettings'", '_ormbases': ['cms.CMSPlugin']},
            'area_slugs_excluded': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'area_slugs_included': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering': ('django.db.models.fields.CharField', [], {'default': "'ordering, titolo'", 'max_length': '100'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/video/video_list.html'", 'max_length': '100'})
        }
    }

    complete_apps = ['video']